For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTAdd bank account
      • POSTAdd GP Workers Additional Information
      • PATCHModify bank account
      • GETRetrieve bank accounts
      • GETRetrieve bank guide
      • PATCHUpdate address
      • PATCHUpdate compensation
      • PATCHUpdate employee information
      • PATCHUpdate GP Workers Additional Information
      • PATCHUpdate PTO policy
LogoLogo
SupportDeel Home
EndpointsWorker Information

Retrieve bank guide

GET
/gp/workers/:worker_id/banks/guide
GET
/rest/v2/gp/workers/:worker_id/banks/guide
$curl https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/guide \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "key": "countryCode",
5 "required": true,
6 "type": "Text",
7 "label": "Country",
8 "validations": [
9 {
10 "type": "MIN_LENGTH",
11 "value": "2"
12 }
13 ],
14 "values_allowed": [
15 {
16 "label": "Argentina",
17 "value": "AR"
18 }
19 ]
20 }
21 ]
22}

Returns the country-specific field requirements for a worker’s bank account form, which determines the fields required when adding a bank account. Token scopes: people:read

Was this page helpful?
Previous

Update address

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequiredformat: "uuid"
Unique identifier for a worker in UUID format.

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/